> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset

> Retrieve a specific asset



## OpenAPI

````yaml GET /metrics/v1/assets/{assetIdentifier}
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/assets/{assetIdentifier}:
    get:
      tags:
        - metrics/assets
      summary: Get asset
      description: Retrieve a specific asset
      operationId: getAsset
      parameters:
        - description: Asset ID or slug
          in: path
          name: assetIdentifier
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/metricsAsset'
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    metricsAsset:
      properties:
        allTimeHigh:
          $ref: '#/components/schemas/AssetATH'
        category:
          type: string
        contractAddresses:
          items:
            $ref: '#/components/schemas/ContractAddress'
          type: array
        description:
          type: string
        id:
          type: string
        links:
          items:
            $ref: '#/components/schemas/metricsLink'
          type: array
        marketData:
          $ref: '#/components/schemas/MarketData'
        name:
          type: string
        networkSlugs:
          items:
            type: string
          type: array
        protocolSlugs:
          items:
            type: string
          type: array
        rank:
          format: int64
          type: integer
        returnOnInvestment:
          $ref: '#/components/schemas/AssetROI'
        sector:
          type: string
        slug:
          type: string
        symbol:
          type: string
        tags:
          items:
            type: string
          type: array
      required:
        - allTimeHigh
        - category
        - contractAddresses
        - description
        - id
        - links
        - marketData
        - name
        - networkSlugs
        - protocolSlugs
        - returnOnInvestment
        - sector
        - slug
        - symbol
        - tags
      type: object
    AssetATH:
      type: object
      description: Schema for AssetATH
      properties: {}
      additionalProperties: true
    ContractAddress:
      type: object
      description: Schema for ContractAddress
      properties: {}
      additionalProperties: true
    metricsLink:
      type: object
      description: Schema for metricsLink
      properties: {}
      additionalProperties: true
    MarketData:
      type: object
      description: Schema for MarketData
      properties: {}
      additionalProperties: true
    AssetROI:
      type: object
      description: Schema for AssetROI
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````